## cinnamon-screensaver 5.8.1

=== debian/changelog ===
cinnamon-screensaver (5.8.1-3) unstable; urgency=medium

  * d/control:
    - add missed gir packages dependencies to cinnamon-screensaver
      including the ones that are virtual for now
    - remove ${gir:Depends} and add gir1.2-gtk-3.0 to
      gir1.2-cscreensaver-1.0 to avoid unwanted -dev deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 09 Jan 2024 20:20:07 +0100

cinnamon-screensaver (5.8.1-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Sep 2023 13:31:52 +0200

cinnamon-screensaver (5.8.1-1) experimental; urgency=medium

  * New upstream version 5.8.1
  * d/control:
    - add missing dependency on x11-utils
    - remove old breaks/replaces older that oldstable
    - bump reverse dep breaks to 5.8
    - bump cinnamon-desktop deps to 5.8
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jul 2023 13:20:56 +0200

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gnome-pkg-tools,
 gobject-introspection,
 intltool,
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpam0g-dev,
 librsvg2-bin,
 libxdo-dev,
 libxext-dev,
 meson,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.8),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 5.8),
 gir1.2-cscreensaver-1.0 (= ${binary:Version}),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 gir1.2-gdk-3.0,
 gir1.2-gio-2.0,
 gir1.2-pango-1.0,
 gir1.2-gobject-2.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-caribou-1.0,
 iso-flags-png-320x240,
 libcscreensaver0 (= ${binary:Version}),
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp,
 python3-xlib,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks:
 cinnamon (<< 5.8~),
 cinnamon-core (<< 5.2~)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: gir1.2-cscreensaver-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: gir1.2-gtk-3.0,
         libcscreensaver0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcscreensaver0 (<< 5.4.1-2~)
Replaces: libcscreensaver0 (<< 5.4.1-2~)
Description: GObject introspection data for cinnamon screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the introspection data.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 5.8.1+faye

=== debian/changelog ===
cinnamon-screensaver (5.8.1+faye) victoria; urgency=medium

  [ Rick Calixte ]
  * muffinClient.py: Fix typo and clean up Python (#435)

  [ Michael Webster ]
  * cinnamon-screensaver-command: Only try an action if the proxy activation was successful.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:17:46 +0200

cinnamon-screensaver (5.8.0) victoria; urgency=medium

  [ IMarvinTPA ]
  * Prioritize Playing Audio over other players. (#428)

  [ hduelme ]
  * remove redundant parentheses (#427)

  [ Michael Webster ]
  * utils.py: Add gdm3 to the switch user function.

  [ hduelme ]
  * use Gio flags instead of ints (#432)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.
  * stage: Multiply the stage window by the global scale.
  * Fix stacking issue with the backup window.
  * Add missing dependency on x11-util

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:07:33 +0100

## cinnamon-screensaver 5.8.1+victoria

=== debian/changelog ===
cinnamon-screensaver (5.8.1+victoria) victoria; urgency=medium

  [ Rick Calixte ]
  * muffinClient.py: Fix typo and clean up Python (#435)

  [ Michael Webster ]
  * cinnamon-screensaver-command: Only try an action if the proxy activation was successful.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:17:46 +0200

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 11.1~),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 librsvg2-bin,
 libxdo-dev,
 libxext-dev,
 meson (>= 0.40.0),
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.5),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flag-png,
 libcscreensaver0 (= ${binary:Version}),
 libxdo3,
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.0.1),
 python3-xlib,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: 
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 6.0.1+virginia

=== debian/changelog ===
cinnamon-screensaver (6.0.1+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * cinnamon-screensaver-main.py: Fix application theme provider.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Dec 2023 14:22:10 +0000

cinnamon-screensaver (6.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * Don't use libaccountsservice, which can block startup.
  * Update issue templates.

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#444)

  [ Michael Webster ]
  * Disable screensaver in wayland sessions
  * debian/control: Remove unused build dep librsvg.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:42:28 +0000

cinnamon-screensaver (5.8.1) victoria; urgency=medium

  [ Rick Calixte ]
  * muffinClient.py: Fix typo and clean up Python (#435)

  [ Michael Webster ]
  * cinnamon-screensaver-command: Only try an action if the proxy activation was successful.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:17:46 +0200

## cinnamon-screensaver 6.0.2+virginia

=== debian/changelog ===
cinnamon-screensaver (6.0.2+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * backup locker: Restore stack management when not activated.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 12:22:57 +0000

cinnamon-screensaver (6.0.1) virginia; urgency=medium

  [ Michael Webster ]
  * cinnamon-screensaver-main.py: Fix application theme provider.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Dec 2023 14:22:10 +0000

## cinnamon-screensaver 6.0.3

=== debian/changelog ===
cinnamon-screensaver (6.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:30:03 +0000

cinnamon-screensaver (6.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:05:03 +0000

cinnamon-screensaver (6.0.3-1) experimental; urgency=medium

  * New upstream version 6.0.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 16 Feb 2024 14:16:16 +0100

cinnamon-screensaver (6.0.2-1) experimental; urgency=medium

  * New upstream version 6.0.2
  * d/control:
    - remove gir1.2-accountsservice-1.0 from deps
    - remove unused librsvg2-bin build-dep
  * Update symbols
  * Bump deps and reverse dep breaks to 6.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 15:03:03 +0100

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gnome-pkg-tools,
 gobject-introspection,
 intltool,
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpam0g-dev,
 libxdo-dev,
 libxext-dev,
 meson,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git -b experimental

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 6.0),
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 6.0),
 gir1.2-cscreensaver-1.0 (= ${binary:Version}),
 gir1.2-gdk-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-xapp-1.0,
 iso-flags-png-320x240,
 libcscreensaver0 (= ${binary:Version}),
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp,
 python3-xlib,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: cinnamon (<< 6.0~), cinnamon-core (<< 5.2~)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: gir1.2-cscreensaver-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-gtk-3.0,
 libcscreensaver0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libcscreensaver0 (<< 5.4.1-2~)
Replaces: libcscreensaver0 (<< 5.4.1-2~)
Description: GObject introspection data for cinnamon screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the introspection data.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D use-debian-pam=true \
	    --libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

## cinnamon-screensaver 6.0.3%2Bvirginia

=== debian/changelog ===
cinnamon-screensaver (6.0.3+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * Use a shell script to launch, where the environment can be checked before x11 resources are loaded in python.
  * binfile.in: Enclose arguments in quotes.

  [ Clement Lefebvre ]
  * Revert "backup locker: Restore stack management when not activated."

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jan 2024 15:25:47 +0000

cinnamon-screensaver (6.0.2) virginia; urgency=medium

  [ Michael Webster ]
  * backup locker: Restore stack management when not activated.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 12:22:57 +0000

## cinnamon-screensaver 6.0.3+virginia

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 11.1~),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 libxdo-dev,
 libxext-dev,
 meson (>= 0.40.0),
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.5),
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flag-png,
 libcscreensaver0 (= ${binary:Version}),
 libxdo3,
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.0.1),
 python3-xlib,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: 
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 6.2.0

=== debian/changelog ===
cinnamon-screensaver (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * Add upstream PR for make library private, as not used externally
  * Remove libcscreensaver0 and gir1.2-cscreensaver-1.0 packages,
    now private library is in cinnamon-screensaver
  * Don't install gir file as not used and not needed (Closes: #1059341)
  * Remove unused lintian overrides
  * Remove dh-sequence-gir and ${gir:Depends}
  * Change libexec dir to /usr/libexec
  * Add d/README.source with a wiki link with details about packaging
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 16 Aug 2024 13:22:41 +0200

cinnamon-screensaver (6.0.3-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Mar 2024 19:03:14 +0200

## cinnamon-screensaver 6.2.0+faye

=== debian/changelog ===
cinnamon-screensaver (6.2.0+faye) wilma; urgency=medium

  [ Michael Webster ]
  * debian: Don't install CScreensaver-1.0.gir.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 16:57:29 +0100

cinnamon-screensaver (6.0.3) virginia; urgency=medium

  [ Michael Webster ]
  * Use a shell script to launch, where the environment can be checked before x11 resources are loaded in python.
  * binfile.in: Enclose arguments in quotes.

  [ Clement Lefebvre ]
  * Revert "backup locker: Restore stack management when not activated."

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jan 2024 15:25:47 +0000

## cinnamon-screensaver 6.2.1

=== debian/changelog ===
cinnamon-screensaver (6.2.1-1) unstable; urgency=medium

  * d/gbp.conf: switch to DEP-14
  * New upstream version 6.2.1

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 24 Sep 2024 23:16:26 +0200

## cinnamon-screensaver 6.2.1%2Bwilma

=== debian/changelog ===
cinnamon-screensaver (6.2.1+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * keybindings: Ignore shift-f10 (alternate menu popup shortcut).

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Sep 2024 11:23:07 +0100

cinnamon-screensaver (6.2.0) wilma; urgency=medium

  [ Michael Webster ]
  * debian: Don't install CScreensaver-1.0.gir.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 16:57:29 +0100

=== debian/control ===
--- 
+++ 
@@ -70,7 +70,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library and introspection data used by cinnamon-screensaver
  cinnamon-screensaver is a screen saver and locker that aims to have simple,
  sane and secure defaults, and be well integrated with the Cinnamon desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=python3

override_dh_strip:
	dh_strip --dbg-package=libcscreensaver-dbg

override_dh_auto_configure:
	dh_auto_configure -- \
	--libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver \
	-D use-debian-pam=true

# there has never been a testsuite, so don't try running it and breaking
# just because there isn't one
override_dh_auto_test:

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

## cinnamon-screensaver 6.2.1+faye

=== debian/changelog ===
cinnamon-screensaver (6.2.1+faye) wilma; urgency=medium

  [ Michael Webster ]
  * keybindings: Ignore shift-f10 (alternate menu popup shortcut).

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Sep 2024 11:23:07 +0100

## cinnamon-screensaver 6.4.0

=== debian/changelog ===
cinnamon-screensaver (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0
  * d/patches: remove 2 patches applied upstream and refresh other

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 01 Dec 2024 18:52:01 +0100

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gnome-pkg-tools,
 gobject-introspection,
 intltool,
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpam0g-dev,
 libxdo-dev,
 libxext-dev,
 meson,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 6.0),
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 6.0),
 gir1.2-gdk-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-xapp-1.0,
 iso-flags-png-320x240,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp,
 python3-xlib,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks:
 cinnamon (<< 6.0~),
 cinnamon-core (<< 5.2~),
 gir1.2-cscreensaver-1.0 (<< ${source:Version}),
 libcscreensaver0 (<< ${source:Version}),
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

## cinnamon-screensaver 6.4.0+faye

=== debian/changelog ===
cinnamon-screensaver (6.4.0+faye) xia; urgency=medium

  [ Michael Webster ]
  * build: Use debugoptimized, remove some obsolete meson bits.
  * cs-backup-locker.c: Exit gracefully if incorrect arguments are given, instead of crashing.
  * Make codespell happy.
  * unlock dialog: Allow password visibility to be toggled.

  [ Matt Turnbull ]
  * Follow-up to 60ad855 - remove g-codegen.py now that it is unreferenced. (#458)

  [ Michael Webster ]
  * Don't package private library and typelib files separately.
  * Simplify authClient.py pam helper path.

  [ Fabio Fantoni ]
  * fix executable libraries
  * Debian packaging improvement (#459)

  [ Michael Webster ]
  * keybindings: Ignore shift-f10 (alternate menu popup shortcut).

  [ Fabio Fantoni ]
  * Update debian/copyright (#461)

  [ Alex Badea ]
  * libscreensaver: fix detection of monitor hotplug (#463)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 13:50:06 +0000

## cinnamon-screensaver 6.4.0+xia

=== debian/changelog ===
cinnamon-screensaver (6.4.0+xia) xia; urgency=medium

  [ Michael Webster ]
  * build: Use debugoptimized, remove some obsolete meson bits.
  * cs-backup-locker.c: Exit gracefully if incorrect arguments are given, instead of crashing.
  * Make codespell happy.
  * unlock dialog: Allow password visibility to be toggled.

  [ Matt Turnbull ]
  * Follow-up to 60ad855 - remove g-codegen.py now that it is unreferenced. (#458)

  [ Michael Webster ]
  * Don't package private library and typelib files separately.
  * Simplify authClient.py pam helper path.

  [ Fabio Fantoni ]
  * fix executable libraries
  * Debian packaging improvement (#459)

  [ Michael Webster ]
  * keybindings: Ignore shift-f10 (alternate menu popup shortcut).

  [ Fabio Fantoni ]
  * Update debian/copyright (#461)

  [ Alex Badea ]
  * libscreensaver: fix detection of monitor hotplug (#463)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 13:50:06 +0000

## cinnamon-screensaver 6.4.1

=== meson_options.txt ===
option('setres', type : 'boolean', value : false, description: 'Use setresuid/setresgid in the setuid.c helper')
option('locking', type : 'boolean', value : true, description: 'Compile in support for locking the display')
option('xinerama', type : 'boolean', value : true, description: 'Use of the Xinerama extension')
option('pam-prefix', type : 'string', value : '', description: 'specify where pam files go')
option('use-debian-pam', type : 'boolean', value : false, description: 'use the debian pam file')
option('deprecated-warnings', type : 'boolean', value : false, description: 'show deprecated warnings')

=== debian/changelog ===
cinnamon-screensaver (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1
  * d/patches: refresh
  * Update standards version to 4.7.2, no changes needed
  * d/control: replace old site in homepage with upstream repository
  * d/salsa-ci.yml: enable licenserecon
  * Update d/copyright
  * Improve d/gbp.conf

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 12 Oct 2025 14:11:39 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  meson,
  python3,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Homepage: http://cinnamon.linuxmint.com/
+Standards-Version: 4.7.2
+Homepage: https://github.com/linuxmint/cinnamon-screensaver/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D use-debian-pam=true \
	    --libexecdir=libexec

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

override_dh_auto_install:
	: # for specify files to install even if only one binary, will be default in compat 15
	dh_auto_install --destdir=debian/tmp

execute_after_dh_fixperms:
	: # fix executable libraries
	chmod 0644 debian/cinnamon-screensaver/usr/libexec/cinnamon-screensaver/girepository-1.0/CScreensaver-1.0.typelib
	chmod 0644 debian/cinnamon-screensaver/usr/libexec/cinnamon-screensaver/libcscreensaver.so

=== debian/watch ===
version=4
https://github.com/linuxmint/cinnamon-screensaver/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## cinnamon-screensaver 6.4.1%2Bzara

=== debian/changelog ===
cinnamon-screensaver (6.4.1+zara) zara; urgency=medium

  [ Michael Webster ]
  * Refactor positioning of floating UI elements.
  * unlock: Remove additional dimming when unlock dialog is shown.
  * unlock.py: Don't show password entry and unlock button until prompted by pam.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Aug 2025 09:50:45 +0200

cinnamon-screensaver (6.4.0) xia; urgency=medium

  [ Michael Webster ]
  * build: Use debugoptimized, remove some obsolete meson bits.
  * cs-backup-locker.c: Exit gracefully if incorrect arguments are given, instead of crashing.
  * Make codespell happy.
  * unlock dialog: Allow password visibility to be toggled.

  [ Matt Turnbull ]
  * Follow-up to 60ad855 - remove g-codegen.py now that it is unreferenced. (#458)

  [ Michael Webster ]
  * Don't package private library and typelib files separately.
  * Simplify authClient.py pam helper path.

  [ Fabio Fantoni ]
  * fix executable libraries
  * Debian packaging improvement (#459)

  [ Michael Webster ]
  * keybindings: Ignore shift-f10 (alternate menu popup shortcut).

  [ Fabio Fantoni ]
  * Update debian/copyright (#461)

  [ Alex Badea ]
  * libscreensaver: fix detection of monitor hotplug (#463)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 13:50:06 +0000

## cinnamon-screensaver 6.4.1+gigi

=== debian/changelog ===
cinnamon-screensaver (6.4.1+gigi) zara; urgency=medium

  [ Michael Webster ]
  * Refactor positioning of floating UI elements.
  * unlock: Remove additional dimming when unlock dialog is shown.
  * unlock.py: Don't show password entry and unlock button until prompted by pam.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Aug 2025 09:50:45 +0200

## cinnamon-screensaver 6.6.0+zena

=== debian/changelog ===
cinnamon-screensaver (6.6.0+zena) zena; urgency=medium

  [ Michael Webster ]
  * Handle layout switching thru cinnamon, remove use of XApp. (#477)

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:16:46 +0000

cinnamon-screensaver (6.4.1) zara; urgency=medium

  [ Michael Webster ]
  * Refactor positioning of floating UI elements.
  * unlock: Remove additional dimming when unlock dialog is shown.
  * unlock.py: Don't show password entry and unlock button until prompted by pam.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Aug 2025 09:50:45 +0200

## cinnamon-screensaver 6.6.1+gigi

=== debian/changelog ===
cinnamon-screensaver (6.6.1+gigi) zena; urgency=medium

  [ Balló György ]
  * Make Caribou dependency optional (#489)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 15:27:17 +0000

cinnamon-screensaver (6.6.0) zena; urgency=medium

  [ Michael Webster ]
  * Handle layout switching thru cinnamon, remove use of XApp. (#477)

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:16:46 +0000

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gnome-pkg-tools,
 gobject-introspection,
 intltool,
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpam0g-dev,
 libxdo-dev,
 libxext-dev,
 meson,
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 6.0),
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 6.0),
 gir1.2-gdk-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 iso-flag-png,
 libxdo3,
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp,
 python3-xlib,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: libcscreensaver0 (<< ${source:Version})
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-screensaver (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

## cinnamon-screensaver 6.6.1+zena

=== debian/changelog ===
cinnamon-screensaver (6.6.1+zena) zena; urgency=medium

  [ Balló György ]
  * Make Caribou dependency optional (#489)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 15:27:17 +0000
